#ifndef _SC_FILE
#define _SC_FILE

#include <string>
#include <stdio.h>
#include <zlib.h>

enum tOpenMode {omGZRead, omRead, omWrite, omGZWrite};
//enum tFileType {ftDisk, ftFTP, ftTGZ};


class cFile {  //abstrac class for different filetypes
  public:
    cFile(const string& name) {filename=name;};
    //~cFile() {;};
    virtual bool Open(tOpenMode om)=0;
    virtual int Read(void *buf,int size)=0;
    virtual int Write(void *buf,int size)=0;
    virtual void Close()=0;
    virtual bool Delete()=0;
    virtual int Size()=0;
    virtual int Pos()=0;
    virtual int GetMode()=0;
    virtual bool SetMode(int)=0;
    //Missing Get/Set time

    
    bool IsOpen() {return isopen;};
  protected:
    bool isopen;
    tOpenMode mode;
    string filename;
/*    tFileType ftype;
    cDiskFile* diskfile;*/
};



cFile* GetFilePointer(const string&);
void DisposeFilePointer(cFile* f1,cFile* f2=NULL);

//Duplicates filename1 to filename2, overwriting an existing filename2!
//remeber to confirm overwriting elsewhere...
bool CopyFile(const string& filename1, const string& filename2,bool progress=false);

//Return a chunk of a file from the beginning of the file
int GetChunkOfFile(const string& filename, int size, char buffer[]);

//Tries to guess whether a file is binary or text
bool IsFileBinary(const string&);


#endif //_SC_FILE
