/***************************************************************************
                       sc_signals.cpp  -  description
                             -------------------
    begin                : Sun Mar 19 2000
    copyright            : (C) 2000 by Morten Poulsen
    email                : sc@poulsen.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "sc_signals.h"
#include "target.h"
#include "fm_window.h"
#include "fm_init.h"
#include <signal.h>
#include <iostream>

bool _signal_windowresized=false;

void WinchHandler(int signum) {
  _signal_windowresized=true;
}

void CtrlCHandler(int signum) {
  ShutDownSequence();
  cout <<"Abnormal exit! Shutting down..." <<endl;
  exit(100);
}

void SetupSignalHandlers() {
  #ifdef _TARGET_LINUX_
    signal (SIGWINCH, WinchHandler);
    signal(SIGQUIT,CtrlCHandler);
  #endif
  signal(SIGINT,CtrlCHandler);
  signal(SIGTERM,CtrlCHandler);
}


void ReleaseSignalHandlers() {


}

